Package org.apache.wiki.workflow

## Class SystemPrincipal

- java.lang.Object
- - org.apache.wiki.workflow.SystemPrincipal

All Implemented Interfaces:
  `java.security.Principal`

    public final class SystemPrincipal
    extends java.lang.Object
    implements java.security.Principal

System users associated with workflow Task steps.

### Field Summary

Fields
`static java.security.Principal` `SYSTEM_USER` The JSPWiki system user

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies, toString`

### Field Detail

#### SYSTEM_USER

    public static final java.security.Principal SYSTEM_USER

The JSPWiki system user

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `java.security.Principal`